<?php
    use Illuminate\Support\Facades\Route;
    use App\Http\Controllers\AccountsController;
    use App\Http\Controllers\HospitalController;
    use App\Http\Controllers\OfficersController;
    use App\Http\Controllers\EmployeeController;
    use App\Http\Controllers\AdminController;
    use App\Http\Controllers\InvestigationOfficer;
    use App\Http\Controllers\AutopsyDoctorController;
    use App\Http\Controllers\Report_Controller;
    use App\Http\Controllers\DashboardController;
    use App\Http\Controllers\PsController;
    use App\Http\Controllers\PolicePersonnelController;
    /*
    |--------------------------------------------------------------------------
    | Web Routes
    |--------------------------------------------------------------------------
    |
    | Here is where you can register web routes for your application. These
    | routes are loaded by the RouteServiceProvider within a group which
    | contains the "web" middleware group. Now create something great!
    |
    */
    Route::get('listPs',[PsController::class,'index2'])->name('listPs');
    //Route:: get('/total_post_mortem', [DashboardController::class,"total_post_mortem"]);
    Route:: get('/total-bill-received', [DashboardController::class,"total_bill_received"]);
    Route:: get('/total-bill-pending', [DashboardController::class,"total_bill_pending"]);
    Route:: get('/total-bill-submitted', [DashboardController::class,"total_bill_submitted"]);
    Route:: get('/total-ud-cases', [DashboardController::class,"total_ud_cases"]);
    Route:: get('/total-identified-cases', [DashboardController::class,"total_identified_cases"]);
    Route:: get('/total-un-identified-cases', [DashboardController::class,"total_un_identified_cases"]);
    Route:: get('/total-filled-cases', [DashboardController::class,"total_filled_cases"]);
    Route:: get('/total-specific-cases', [DashboardController::class,"total_specific_cases"]);
    Route:: get('/total-body-disposed-morque', [DashboardController::class,"total_body_disposed_morque"]);
    //Route:: get('/total-case-sent-to-sdo', [DashboardController::class,"total_case_sent_to_sdo"]);
    Route:: get('/total-body-Pending-morque', [DashboardController::class,"total_body_Pending_morque"]);
    Route:: get('/', [DashboardController::class,"index"]);
    Route:: get('/police_personnel', [DashboardController::class,"index"]);
    Route:: get('/admin', [DashboardController::class,"index"]);
    Route:: get('/panel_list', [DashboardController::class,"show"]);
    Route:: get('/WB_FORM_NO_5870', [DashboardController::class,"create"]);
    Route:: get('/WB_FORM_5870/{id}', [DashboardController::class,"entry_WB_FORM_5870"]);
    Route:: get('/total-pending-caeses', [DashboardController::class,"total_pending_caeses"]);
    Route:: get('/total-ud-caeses-done', [DashboardController::class,"total_ud_caeses_done"]);
    Route:: post('save_5870',[DashboardController::class,'store']);
    Route:: get('/WB_FORM_NO_5371', [PsController::class,"create"]);
    Route:: get('/view-form-5371/{id}', [PsController::class,"show"]);
    Route:: get('/view-ud-case-done-form-5371/{id}', [PsController::class,"show_ud_case_done"]);
    Route:: post('Save_hospital',[HospitalController::class,'store']);
    Route:: post('save_5371',[PsController::class,'store']);
    Route:: get("add_acc",[SalesManagerController::class,"index"]);
    Route:: get('SalesManager',[SalesManagerController::class,'index']);
    Route:: get('add_hospital',[HospitalController::class,'create']);
    Route:: get('employee',[EmployeeController::class,'index']);
    Route:: get('view_hospital',[HospitalController::class,'vw_hospital']);
    Route:: get('add_investigationOfficer',[InvestigationOfficer::class,'index'])->name('add_investigationOfficer');
    Route:: get('vw_investOfficer',[InvestigationOfficer::class,'show'])->name('vw_investOfficer');
    Route:: get('reports_hospitalWise_pm',[Report_Controller::class,'reports_hospitalWise_pm']);
    Route:: get('ps_wise_pm_reports',[Report_Controller::class,'ps_wise_pm_reports']);
    Route:: get('autopsy_doctor_report',[Report_Controller::class,'autopsy_doctor_report']);
    Route:: get('invoice_pendng_report',[Report_Controller::class,'invoice_pendng_report']);
    Route:: get('invoice_wise_submit_report',[Report_Controller::class,'invoice_wise_submit_report']);
    Route:: get('view_post_mortem',[HospitalController::class,'index2']);
    Route:: get('viewBill',[AccountsController::class,'vw_bill']);
    Route:: get('add_post_mortem',[HospitalController::class,'upload']);
    Route:: post('image_store',[HospitalController::class,'post_mortem_docs'])->name('image_store');
    Route:: post('image-upload',[AccountsController::class,'billsave'])->name('image.save');
    Route:: get('addBill',[AccountsController::class,'index2'])->name('addBill');
    Route:: get('listAcc',[AccountsController::class,'index']);
    Route:: get('addPS',[PsController::class,'create2']);
    Route:: post('savePS',[PsController::class,'save_PS']);
    Route:: post("saveOfficers",[OfficersController::class,"store"]);
    Route:: get('add_doctor',[AutopsyDoctorController::class,'index'])->name('add_doctor');
    Route:: get('vw_doctor',[AutopsyDoctorController::class,'create']);
    Route:: post('saveDoctor',[AutopsyDoctorController::class,'store']);
    Route:: get('add-accounts',[AccountsController::class,'create']);
    Route:: get('view-accounts',[AccountsController::class,'show']);
    Route:: post('Save_accounts',[AccountsController::class,'store']);
    Route:: get("add-police-personnel"    , [PolicePersonnelController :: class , "index"  ]  ) ;
    Route:: get("view-police-personnel"   , [PolicePersonnelController :: class , "create" ]  ) ;
    Route:: post("save-police-personnel"  , [PolicePersonnelController :: class , "store"  ]  ) ;
    Route:: post("saveEmp",[EmployeeController::class,"store"]);
    Route:: get("AddBank",[HospitalController::class,"create"]);
    Route:: post("updateEmp",[EmployeeController::class,"update"])->name('updateEmp');
    Route:: post("UpdateBank",[HospitalController::class,"update"])->name('updateBank');
    Route:: get("accounts/Login",[EmployeeController::class,"empLogin"])->name('accountsLogin');
    Route:: post("acc_login", [ EmployeeController::class, "acc_login" ]);
    Route:: get("ps/Login",[EmployeeController::class,"ps_login"])->name('pslogin');
    Route:: post("police_station_Login", [ EmployeeController::class, "police_Login" ]);
    Route:: get("dcp/Login",[EmployeeController::class,"dcp_login"])->name('dcplogin');
    Route:: get("acp/Login",[EmployeeController::class,"acp_login"])->name('acplogin');
    Route:: get("sdo/Login",[EmployeeController::class,"sdo_Login"])->name('sdologin');
    Route:: post("SDOLogin", [ EmployeeController::class, "SDOlogin" ]);
    Route:: get("admin/Login",[EmployeeController::class,"Login_admin"])->name('adminlogin');
    Route:: post("admin_Login", [ AdminController::class, "admin_Login" ]);
    Route:: get("police-personnel/Login",[PolicePersonnelController::class,"police_personnel_login"]);
    Route:: post("police_personnel_Login", [ PolicePersonnelController::class, "Police_perso_Login" ]);
    Route:: get("hospital/Login", [ EmployeeController::class, "hos_login" ]);
    Route:: post("Hospital_Login", [ EmployeeController::class, "Hospital_Login" ])->name('SDOLogin');
    Route:: get("adminlogout",[AdminController::class,"adminlogout"]);
    Route:: get("emplogout",[EmployeeController::class,"emplogout"]);
    Route:: get("editindustype/{id}",[IndustrytypeController::class,"edit"]) ;
    
    Route:: get('/config-clear', function() {
    
    Artisan::call('config:clear');
        //Do whatever you want either a print a message or exit
    });
    
    //Route::get('/dashboard', function () {
        //return view('dashboard');
    //})->middleware(['auth'])->name('dashboard');
    //require __DIR__.'/auth.php';